KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm join phase control-plane-join mark-control-plane - Mark a node as a control-plane

SYNOPSIS

kubeadm join phase control-plane-join mark-control-plane [OPTIONS]

DESCRIPTION

Mark a node as a control-plane

OPTIONS

--config=""
    Path to a kubeadm configuration file.

--control-plane=false
    Create a new control plane instance on this node

--dry-run=false
    Don't apply any changes; just output what would be done.

--node-name=""
    Specify the node name.

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-join-phase-control-plane-join(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!